Avaya Client Services API Reference (OS X)

- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

Properties | List of all members
CSAgentInformation Class Reference

Represents an agent information sent from contact center solution to the registered agent's application. More...

`#import <CSAgentInformation.h>`

Inherits NSObject.

## Properties
NSString * | agentAddress
| Agents logical extension as a URI, also known as agent loginId on contact center solution. More...
CSAgentWorkMode | currentAgentWorkMode
| Information about agent's current work mode. More...
CSAgentWorkMode | pendingAgentWorkMode
| Information about agent's pending work mode. More...
NSInteger | reasonCode
| Reason code used by an agent to change to current work mode. More...
NSInteger | pendingReasonCode
| Reason code used by an agent to change to pending work mode. More...
NSInteger | numberOfDirectAgentCallsQueued
| Indicates whether there is a direct agent call in the agent's queue or not. More...
BOOL | interruptibleAuxThresholdReached
| Indicates whether the configured threshold for interruptible auxiliary work mode has been reached for an agent in an interruptible auxiliary state. More...
NSMutableArray * | skills
| Agents skill set information.It is numeric list of agent skill set that the agent is configured with. More...
CSAgentReasonCodeMode | logoutReasonCodeEnforcement
| Provides information about whether a logout reason code is required (optional or forced) for agent logout operation. More...
CSAgentReasonCodeLength | logoutReasonLength
| Provides information about reason code length that is required for agent logout operation i.e. More...
CSAgentReasonCodeMode | auxiliaryReasonCodeEnforcement
| Provides information about whether an auxiliary reason code is required (optional or forced)for agent to change auxiliary work mode. More...
CSAgentReasonCodeLength | auxiliaryReasonLength
| Provides information about reason code length that is required to change to auxiliary work mode i.e. More...
BOOL | mwiForAgent
| True if voice messaging status updates will indicate the status for the agent instead of the physical station for as long as the agent is logged in. More...
BOOL | messagesWaitingAtLogin
| Indicates if there were voicemail messages waiting for the agent at login. More...
BOOL | autoAnswer
| A Boolean value indicating whether the auto-answer feature is enabled. More...
CSAgentLogoutOverrideType | logoutOverrideType
| Represents whether the agent has a forced logout time administered. More...
BOOL | agentOverridingForcedLogout
| A boolean flag indicating whether the agent is currently overriding the forced logout. More...
NSDate * | agentLogoutOverrideTime
| If there is a forced logout time defined for agent, then at time, the agent will be forced to logout. More...
BOOL | agentLogoutPending
| A boolean flag indicating whether the agent logout is pending. More...
CSPendingLogoutReason | pendingLogoutReasonCode
| Represents the information about pending logout reason code. More...

## Detailed Description

Represents an agent information sent from contact center solution to the registered agent's application.

## Property Documentation

- (NSString*) agentAddress
| read nonatomic assign

Agents logical extension as a URI, also known as agent loginId on contact center solution.

- (NSDate*) agentLogoutOverrideTime
| read nonatomic assign

If there is a forced logout time defined for agent, then at time, the agent will be forced to logout.

Returns agent logout override time. If an agent is configured to logout at certain time this is the time that an agent will logout. If the agent is still on an ACD call when the forced agent logout time is reached, the agent is put into the pending logout mode. The forced logout occurs when the call is disconnected. Note: The forced logout time the client gets from the server has the format HH:MM in the server time. The time stored here is the time of the next forced logout assuming the client is in the same timezone as the server.

- (BOOL) agentLogoutPending
| read nonatomic assign

A boolean flag indicating whether the agent logout is pending.

- (BOOL) agentOverridingForcedLogout
| read nonatomic assign

A boolean flag indicating whether the agent is currently overriding the forced logout.

- (BOOL) autoAnswer
| read atomic assign

A Boolean value indicating whether the auto-answer feature is enabled.

- (CSAgentReasonCodeMode) auxiliaryReasonCodeEnforcement
| read nonatomic assign

Provides information about whether an auxiliary reason code is required (optional or forced)for agent to change auxiliary work mode.

- (CSAgentReasonCodeLength) auxiliaryReasonLength
| read nonatomic assign

Provides information about reason code length that is required to change to auxiliary work mode i.e.

whether a single digit (range 0-9) or double digit (range 0-99) reason code required to change work mode.

- (CSAgentWorkMode) currentAgentWorkMode
| read nonatomic assign

Information about agent's current work mode.

- (BOOL) interruptibleAuxThresholdReached
| read nonatomic assign

Indicates whether the configured threshold for interruptible auxiliary work mode has been reached for an agent in an interruptible auxiliary state.

A Boolean value indicating whether the InterruptibleAuxThreshold has reached.

Returns a boolean value indicating whether the configured threshold for interruptible auxiliary work mode has been reached for an agent in an interruptible auxiliary state.
Interruptible auxiliary Work allows the contact center solution to notify agents that are in the auxiliary work mode with an interruptible reason code (RC) that they should become available because one of the configured thresholds has been exceeded. For example: The thresholds could be "More than X calls are in a queue waiting for an agent". In this case contact center solution activates interruptible aux threshold reached to true if the number of calls in a queue exceeds the threshold.

- (CSAgentLogoutOverrideType) logoutOverrideType
| read nonatomic assign

Represents whether the agent has a forced logout time administered.

(None | Timed logout)

- (CSAgentReasonCodeMode) logoutReasonCodeEnforcement
| read nonatomic assign

Provides information about whether a logout reason code is required (optional or forced) for agent logout operation.

- (CSAgentReasonCodeLength) logoutReasonLength
| read nonatomic assign

Provides information about reason code length that is required for agent logout operation i.e.

whether a single digit (range 0-9) or double digit (range 0-99) reason code required to complete logout operation.

- (BOOL) messagesWaitingAtLogin
| read atomic assign

Indicates if there were voicemail messages waiting for the agent at login.

- (BOOL) mwiForAgent
| read atomic assign

True if voice messaging status updates will indicate the status for the agent instead of the physical station for as long as the agent is logged in.

- (NSInteger) numberOfDirectAgentCallsQueued
| read nonatomic assign

Indicates whether there is a direct agent call in the agent's queue or not.

It is set to 0 (i.e. false) if there is no call in the queue. It is set to 1 (i.e. true) if there is one or more calls in the queue. Returns '0' if there is no direct agent call in the queue. Returns '1' if there is one or more calls in the queue.

Remarks
  For Communication Manager 7 onwards it returns the value of actual number of direct agent calls in queue.

- (CSAgentWorkMode) pendingAgentWorkMode
| read nonatomic assign

Information about agent's pending work mode.

- (CSPendingLogoutReason) pendingLogoutReasonCode
| read nonatomic assign

Represents the information about pending logout reason code.

- (NSInteger) pendingReasonCode
| read nonatomic assign

Reason code used by an agent to change to pending work mode.

- (NSInteger) reasonCode
| read nonatomic assign

Reason code used by an agent to change to current work mode.

- (NSMutableArray*) skills
| read write nonatomic strong

Agents skill set information.It is numeric list of agent skill set that the agent is configured with.

The maximum number of skills that can be configured per agent is 120 and the skill numbers can range from 1 to 8000.

The documentation for this class was generated from the following file:

- CSAgentInformation.h